Skip to content

Delete Organization

Permissions

The Identity Management API is authorized at the application level. Before calling the API, you need to set API permissions for different applications. For details, see API Permissions.

Permission CodeDescription
org_allRead/Write permission for organization management APIs
allRead/Write permission for all APIs

Request Description

Request Headers

Parameter NameChinese NameRequiredTypeDescription
AuthorizationAuthorizationYesStringFormat: Bearer {access_token}
Content-TypeContent TypeYesStringFixed value: application/json; charset=utf-8

Request Example

None

Request Parameters

Parameter NameChinese NameRequiredTypeDescription
org_idOrganization IDYesStringOrganization ID

Response Example

Success Example

HTTP/1.1 204 No Content

Error Example

HTTP/1.1 400 Bad Request

json
{ 
	"error_code": "ORG.0001", 
	"error_msg": "Organization does not exist" 
}

Response Parameters

None

Error Codes

Status CodeError CodeChinese Error MessageEnglish Error MessageResolution
400ORG.0001组织不存在Organization does not existPlease check whether the corresponding organization exists
400ORG.0020当前组织下存在子组织不能被删除The existing sub-organization under the current organization cannot be deletedPlease check whether there are sub-organizations under the current organization
400ORG.0021当前组织下存在用户组不能被删除User groups that exist in the current organization cannot be deletedPlease check whether there are user groups in the current organization
400ORG.0022当前组织下存在用户不能被删除Users in the current organization cannot be deletedPlease check whether there are users in the current organization

BambooCloud IDaaS Open Platform